Bug 75389 - problems with "magic cookies" in ftpaccess
problems with "magic cookies" in ftpaccess
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-07 21:00 EDT by Jay Berryman
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 11:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Berryman 2002-10-07 21:00:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When trying to use the "magic cookies" in a .message file so that quota
restricitions and current disk usage will be displayed to ftp users, all I get
back is a zero.  I was using the %B, %b, and %Q options as defined in the man
pages for ftpaccess.  I made sure that the user had some of their quota space
used up so I wouldn't get a zero back.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up quotas on the partition that users will be ftping to
2.create a .message file in the users directoy that they are ftping to and add a
line(s) similar to this:  Total amount of space allocated is %B.  current usage
is %Q.
3.Login to your ftp server and see what is displayed in the welcome message for
the user.
	

Actual Results:  Instead of a number returned of the amount of disk space that
was being taken up by the user, I got back a zero.  

Expected Results:  I should have gotten back a number that was equal to the
number of blocks that was currently allocated to the user and how much disk
space they were currently using.

Additional info:
Comment 1 Thomas Woerner 2004-01-27 11:52:33 EST
Please use vsftpd instead. wu-ftpd is not maintained anymore.

Note You need to log in before you can comment on or make changes to this bug.